Skip to main content

Get All Link Queue Lengths

GET 

/regions/:region/queue-lengths

This method allows you to get the estimated or predicted queue length of all Links in a region at a particular time.

Getting estimated queue length

You need to set time to a present or past time, and set the minutes_ahead parameter to 0.

Getting predicted queue length

You can set time to a time in the future up to 1 hour ahead, in steps of 5 minutes.

If you leave minutes_ahead undefined, it will select the best prediction to use. For example, if you select a time 1 hour from the current time, the best prediction would be the 60-minute prediction, hence minutes_ahead is automatically set to 60.

IMPORTANT: Note that time should be the time when the value should happen.

Suppose you set minutes_ahead to 30 and set time to the current time. The response is NOT the predicted queue length 30 minutes from now. Instead, it is the queue length prediction at current time predicted 2 hours ago.

Request

Responses

Successful Response